%define _name gdesklets
%define package psi
%define release_date 20040420

Name: gdesklets-sensors-%package
Version: 0.2.0
Release: alt0.1_%release_date

Summary: %name is a set of %_name sensors by Psi
License: GPL
Group: Graphical desktop/GNOME
Url: http://%_name.gnomedesktop.org

Source: %url/files/PsiSensorPackage-%release_date.tar.gz

BuildArch: noarch

Provides: gdesklets-sensors-CPU
Provides: gdesklets-sensors-Disk
Provides: gdesklets-sensors-ExternalInterval
Provides: gdesklets-sensors-IconButton
Provides: gdesklets-sensors-Memo
Provides: gdesklets-sensors-MemoOver
Provides: gdesklets-sensors-Memory
Provides: gdesklets-sensors-Network
Provides: gdesklets-sensors-Ping
Provides: gdesklets-sensors-popmail
Provides: gdesklets-sensors-Theme
Provides: gdesklets-sensors-VariableBorder

%define gdesklets_ver 0.26.2
# Automatically added by buildreq on Fri Jul 16 2004 (-bi)
BuildRequires: XFree86-libs XFree86-locales fontconfig freetype2 glib2 python-base python-module-pygtk python-modules-compiler python-modules-encodings rpm-build-python

BuildRequires: python

PreReq: %_name >= %gdesklets_ver

%description
gDesklets provides an advanced architecture for desktop applets -- tiny
displays sitting on your desktop in a symbiotic relationship of eye
candy and usefulness.

This package provides a set of sensors for gDesklets by Psi.

%define gdesklets_sensors_dir %_datadir/%_name/Sensors

%prep
%setup -q -c %_name
%__tar -zxf %SOURCE0

# provided by gdesklets package
%__rm -rf FontSelector*

%install
%__mkdir_p %buildroot%gdesklets_sensors_dir

for dir in `find ./* -type d`; do
    pushd "$dir"
	./*.bin --nomsg %buildroot%gdesklets_sensors_dir
    popd
done

find %buildroot%gdesklets_sensors_dir -iname "Makefile*" -print0| xargs -r0 rm -f --

%files
%gdesklets_sensors_dir/*

%changelog
* Fri Jul 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt0.1_20040420
- new version.

* Mon Nov 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt0.1_20031028
- First build for Sisyphus.

